@prefix o-owl-ax: <http://tpl.ottr.xyz/owl/axiom/0.1/> .
@prefix o-owl-re: <http://tpl.ottr.xyz/owl/restriction/0.1/> .
@prefix o-pizza:  <http://tpl.ottr.xyz/pizza/0.1/> .
@prefix ottr:     <http://ns.ottr.xyz/0.4/> .
@prefix owl:      <http://www.w3.org/2002/07/owl#> .
@prefix pz:       <http://www.co-ode.org/ontologies/pizza/pizza.owl#> .
@prefix rdf:      <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .

o-pizza:NamedPizza  rdf:type  ottr:Template ;
        ottr:annotation  [ ottr:of      ottr:Triple ;
                           ottr:values  ( o-pizza:NamedPizza rdf:type owl:Class )
                         ] ;
        ottr:parameters  ( [ ottr:type      owl:Class ;
                             ottr:variable  _:b0
                           ]
                           [ ottr:modifier  ottr:optional ;
                             ottr:type      owl:NamedIndividual ;
                             ottr:variable  _:b1
                           ]
                           [ ottr:type      ( ottr:NEList ottr:IRI ) ;
                             ottr:variable  _:b2
                           ]
                         ) ;
        ottr:pattern     [ ottr:of      o-owl-ax:SubClassOf ;
                           ottr:values  ( _:b0
                                          pz:NamedPizza
                                        )
                         ] ;
        ottr:pattern     [ ottr:of      o-owl-ax:SubObjectHasValue ;
                           ottr:values  ( _:b0
                                          pz:hasCountryOfOrigin
                                          _:b1
                                        )
                         ] ;
        ottr:pattern     [ ottr:arguments  ( [ ottr:value  _:b0 ]
                                             [ ottr:value  pz:hasTopping ]
                                             [ ottr:modifier  ottr:listExpand ;
                                               ottr:value     _:b2
                                             ]
                                           ) ;
                           ottr:modifier   ottr:cross ;
                           ottr:of         o-owl-ax:SubObjectSomeValuesFrom
                         ] ;
        ottr:pattern     [ ottr:of      o-owl-ax:SubObjectAllValuesFrom ;
                           ottr:values  ( _:b0
                                          pz:hasTopping
                                          _:b3
                                        )
                         ] ;
        ottr:pattern     [ ottr:of      o-owl-re:ObjectUnionOf ;
                           ottr:values  ( _:b3
                                          _:b2
                                        )
                         ] .
